.sidenav-container {
    height: 94.6vh;
    width: 200px;
    background-color: #9ABCA7;
    color: #ffffff;
    position: absolute;
    top: 0;
    padding: 20px;
    max-height: 100vh;
    transition: 0.2s;
    margin-right: 300px;
    z-index: 3;

    .menus {
        align-items: center;
    }

    .active-menu,
    a.menu:active {
        color: #9c27b0;
        background-color: #7c9c88;
        text-decoration: none;

    }

    a.menu:visited {
        color: #ffffff;
    }

    a.menu {
        display: flex;
        align-items: center;
        padding: 10px 5px;
        border-radius: 3px;
        text-decoration: none;
        margin: 5px 0;
    }


    .menu:hover {
        background-color: #7c9c88;
    }

    .menu-text {
        margin-left: 20px;
        text-transform: uppercase;
        text-decoration: none;
        color: #ffffff;
    }

    .logo {
        width: 120px;
        cursor: pointer;
    }

    .profile-container {
        height: 180px;
        border-bottom: 1px solid white;
        margin-bottom: 30px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .profile:hover {
        background-color: #7c9c88;
        border-radius: 3px;
        text-decoration: none;
        color: #ffffff;
    }

    .profile {
        display: flex;
        align-items: center;
        width: 190px;
        margin-top: 10px;
        padding: 10px 5px;
        border-radius: 3px;
        text-decoration: none;
        color: #ffffff;
    }

    .profile-name {
        margin: 0 0 0 20px;
        text-align: left;
        font-weight: 400;
    }

    .profile-role {
        font-size: 11px;
        text-transform: uppercase;
        text-align: left;
        margin: 0 20px;
    }

    .menu-button {
        display: block;
        position: fixed;
    }
}

.sidenav-container-open {
    height: 100vh;
    width: 30px;
    background-color: #9ABCA7;
    color: #ffffff;
    position: absolute;
    top: 0;
    padding: 5px 20px;
    max-height: 100vh;
    transition: 0.2s;
    position: fixed;
    top: 0;
    bottom: 0;
    z-index: 3;
    .menus {
        align-items: center;
    }

    .active-menu,
    a.menu:active {
        color: #9c27b0;
        background-color: #7c9c88;
        text-decoration: none;

    }

    a.menu:visited {
        color: #ffffff;
    }

    a.menu {
        display: flex;
        align-items: center;
        padding: 10px 5px;
        border-radius: 3px;
        text-decoration: none;
        margin:  0;
    }


    .menu:hover {
        background-color: #7c9c88;
    }

    .menu-text {
        margin-left: 20px;
        text-transform: uppercase;
        text-decoration: none;
        color: #ffffff;
    }

    .logo {
       width: 80px;
    }

    .profile-container {
        height: 180px;
        border-bottom: 1px solid white;
        flex-direction: column;
        margin-bottom: 30px;
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }

    .profile:hover {
        background-color: #7c9c88;
        border-radius: 3px;
        text-decoration: none;
        color: #ffffff;
    }

    .profile {
        display: flex;
        align-items: center;
        width: 190px;
        margin-top: 10px;
        padding: 10px 5px;
        border-radius: 3px;
        text-decoration: none;
        color: #ffffff;
    }

    .profile-name {
        margin: 0 0 0 20px;
        text-align: left;
        font-weight: 400;
    }

    .profile-role {
        font-size: 11px;
        text-transform: uppercase;
        text-align: left;
        margin: 0 20px;
    }

    .menu-button {
        display: block;
        float: left;
        position: fixed;
    }
    
    .menu-button {
        display: block;
        position: fixed;
        margin: 10px 0;

    }

    .logo {
        display: none;
        margin-top:67px;
    }

    a.menu {
        padding: 2px;
        margin: 10px 0px;
    }
    .menu-text,
    .profile-name,
    .profile-role {
        display: none;
    }

    .profile {
        width: auto;

    }
}   

@media only screen and (max-width: 768px) {
    .sidenav-container {
        height: 100vh;
        width: 30px;
        background-color: #9ABCA7;
        color: #ffffff;
        position: absolute;
        top: 0;
        padding: 5px;
        max-height: 100vh;
        transition: 0.2s;
        position: fixed;
        top: 0;
        bottom: 0;

        .menu-button {
            display: block;
        }

        .logo {
            display: none;
            margin-top:67px;
        }

        a.menu {
            padding: 2px;
            margin: 10px 0px;
        }
        .menu-text,
        .profile-name,
        .profile-role {
            display: none;
        }

        .profile {
            width: auto;

        }

    }

    .sidenav-container-open {
        height: 100vh;
        width: 200px;
        background-color: #9ABCA7;
        color: #ffffff;
        position: absolute;
        top: 0;
        padding: 5px 20px;
        max-height: 100vh;
        transition: 0.2s;
        position: fixed;
        top: 0;
        bottom: 0;
        z-index: 3;
        .menus {
            align-items: center;
        }
    
        .active-menu,
        a.menu:active {
            color: #9c27b0;
            background-color: #7c9c88;
            text-decoration: none;
    
        }
    
        a.menu:visited {
            color: #ffffff;
        }
    
        a.menu {
            display: flex;
            align-items: center;
            padding: 10px 5px;
            border-radius: 3px;
            text-decoration: none;
            margin:  0;
        }
    
    
        .menu:hover {
            background-color: #7c9c88;
        }
    
        .menu-text {
            margin-left: 20px;
            text-transform: uppercase;
            text-decoration: none;
            color: #ffffff;
        }
    
        .logo {
           width: 80px;
        }
    
        .profile-container {
            height: 180px;
            border-bottom: 1px solid white;
            flex-direction: column;
            margin-bottom: 30px;
            display: flex;
            justify-content: center;
            align-items: center;
        }
    
        .profile:hover {
            background-color: #7c9c88;
            border-radius: 3px;
            text-decoration: none;
            color: #ffffff;
        }
    
        .profile {
            display: flex;
            align-items: center;
            width: 190px;
            margin-top: 10px;
            padding: 10px 5px;
            border-radius: 3px;
            text-decoration: none;
            color: #ffffff;
        }
    
        .profile-name {
            margin: 0 0 0 20px;
            text-align: left;
            font-weight: 400;
        }
    
        .profile-role {
            font-size: 11px;
            text-transform: uppercase;
            text-align: left;
            margin: 0 20px;
        }
    
        .menu-button {
            display: block;
            float: left;
        }
    }

}